### Function

# GtkFlowBoxCreateWidgetFunc

#### Declaration

    GtkWidget*
    (* GtkFlowBoxCreateWidgetFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Called for flow boxes that are bound to a `GListModel`.

This function is called for each item that gets added to the model.

#### Parameters

`item`

  Type: `GObject`

  The item from the model for which to create a widget for.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data from `gtk_flow_box_bind_model()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A `GtkWidget` that represents `item`.

The caller of the function takes ownership of the data, and is responsible for freeing it.